> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update favorite status of environment listing

> Set an environment listing as favorite



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json post /environments/{envId}/listing/favorite
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /environments/{envId}/listing/favorite:
    post:
      tags:
        - Environments
      summary: Update favorite status of environment listing
      description: Set an environment listing as favorite
      parameters:
        - in: path
          name: envId
          required: true
          schema:
            type: string
          description: Environment ID
      responses:
        '200':
          description: Favorite status successfully updated
          content:
            application/json:
              schema:
                type: string
                description: Confirmation of successful update
        '404':
          description: Environment not found
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````